Installing Robot Framework on [x]Ubuntu 15.04 + PyCharm plugin

Installing Robot Framework

Install Selenium for Python and selenium2library for Robot Framework:

pip install selenium robotframework-selenium2library

Installing Ride GUI for Robot

Official guide: https://github.com/robotframework/RIDE/wiki/Installation-Instructions#installing-from-source

Step by step

Installing wxPython required by Ride (thanks to this SO answer):

sudo apt-get install python-wxgtk2.8 python-wxtools wx2.8-doc wx2.8-examples wx2.8-headers wx2.8-i18n

Installing plugins

Now I’m going to install Robot Framework plugin for PyCharm.

Normally you may find a correct version by navigating to File->Settings->Plugins->Browse repositories

Download Robot Framework plugin for PyCharm here: plugins.jetbrains.com/plugin/7415
I’m still using PyCharm version 3.4, so I had to download an archive with 0.10.2 version supported by my PyCharm.
After download completed, in PyCharm open File->Settings->Plugins

Leave a Reply

Your email address will not be published.